Retrieves all places
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| filter | string (string) | Optional | |
| pageSize | The number of elements to return in a page | integer (int32) | Optional |
| pageNumber | The current page number | integer (int32) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| city | City | String | equals not equals one of like not like not one of |
| hasWatticsLink | Linked to a Wattics site | Boolean | equals |
| linkedToPM | Linked To PM | Boolean | equals |
| parentId | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of | |
| placeAreaSize | Area Size | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of |
| placeCode | Place Code | String | equals not equals one of like not like not one of |
| placeEntityTypeID | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of | |
| placeEntityTypeInfo | Place Entity Type Name | String | equals not equals one of like not like not one of |
| placeGroupCode | Place Group Code | String | equals |
| placeGroupId | Integer | equals | |
| placeGroupInfo | Place Group Name | String | equals |
| placeId | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of | |
| placeInfo | Place Name | String | equals not equals one of like not like not one of |
| placeTypeCode | Place Type Code | String | equals not equals one of like not like not one of |
| placeTypeId | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of | |
| placeTypeInfo | Place Type Name | String | equals not equals one of like not like not one of |
| postalCode | Postal Code | String | equals not equals one of like not like not one of |
| primaryUseCode | Primary Use Code | String | equals not equals one of like not like not one of |
| primaryUseId | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of | |
| primaryUseInfo | Primary Use Name | String | equals not equals one of like not like not one of |
| state | State/Province | String | equals not equals one of like not like not one of |
| structure | Structure | Boolean | equals |
| topmostPlaceCode | Topmost Place Code | String | equals |
| topmostPlaceId | Integer | equals | |
| topmostPlaceInfo | Topmost Place Name | String | equals |
Response Headers
This endpoint returns pagination metadata in the response headers.
| Header | Type | Description |
|---|---|---|
| PageNumber | integer | The current page number (1-based). |
| PageSize | integer | The maximum number of items per page. |
| TotalNumberOfRecords | integer | The total number of records matching the query across all pages. |
| TotalPages | integer | The total number of pages. Increment pageNumber until it equals this value to retrieve all results. |
See the Pagination guide for iteration examples and best practices.
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
PlaceResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| address | AddressChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
AddressChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| benchmark1 | LatestBenchmarkValue | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
LatestBenchmarkValue properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| benchmark2 | LatestBenchmarkValue | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
LatestBenchmarkValue properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| benchmark3 | LatestBenchmarkValue | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
LatestBenchmarkValue properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| buildDate | The date and time the place was built | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| contact | ContactChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ContactChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdBy | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdDate | The date and time the place was created | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| dataPoints | An array of child data points. A child data point is one directly beneath the current place | DataPointChild[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
DataPointChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| energyStarEnabled | Tells whether energy star is enabled for the given place | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| energyStarRating | EnergyStarRatingChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
EnergyStarRatingChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| imageFilename | The name of the place’s image. Currently only supported by ESA. | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| isDataRolledUp | Tells whether or not the place’s data is rolled up to its parents. Currently only supported by ESA. | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| isSizeCalculated | Tells whether the place area is calculated from its children (TODO: Use ‘Area’ instead of ‘Size’? Would be inconsistent with Size property in DTO) | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meters | An array of child meters. A child meter is one directly beneath the current place | MeterChild[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
MeterChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedBy | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedDate | The date and time of the most recent modification to the place | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| parent | PlaceChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeCode | The place code | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeDescription | A description of the place | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeId | The place identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeInfo | The place info | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeType | PlaceTypeResponse | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceTypeResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| places | An array of child places. A child place is one directly beneath the current place | PlaceChild[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| primaryUse | PrimaryUseChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PrimaryUseChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| schedules | The place’s schedules | ScheduleChild[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ScheduleChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| size | PlaceSizeChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceSizeChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| sizeInReportingUnit | PlaceSizeChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceSizeChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| timeZone | TimeZoneChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
TimeZoneChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| watticsSite | WatticsSite | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
WatticsSite properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| weatherStation | WeatherStationChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
WeatherStationChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
[
{ "address": { "addressTypeId": 1, "city": "string", "country": "string", "latitude": 1.0, "line1": "string", "line2": "string", "line3": "string", "longitude": 1.0, "postalCode": "string", "remitTo": "string", "state": "string"
}, "benchmark1": { "benchmarkCategory": {}, "benchmarkIndicator": 1, "benchmarkInfo": "string", "benchmarkValue": {}
}, "benchmark2": { "benchmarkCategory": {}, "benchmarkIndicator": 1, "benchmarkInfo": "string", "benchmarkValue": {}
}, "benchmark3": { "benchmarkCategory": {}, "benchmarkIndicator": 1, "benchmarkInfo": "string", "benchmarkValue": {}
}, "buildDate": "2026-03-30", "contact": { "contactId": 1, "first": "string", "last": "string", "middle": "string"
}, "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-03-30", "dataPoints": [
{ "active": false, "commodity": {}, "dataPointCode": "string", "dataPointId": 1, "dataPointInfo": "string", "isCalculatedDataPoint": false, "isDataRolledUp": false, "serialNumber": "string"
}
], "energyStarEnabled": false, "energyStarRating": { "calendarPeriod": 1, "rating": 1, "ratingDate": "2026-03-30", "siteEnergyUseIntensity": 1.0
}, "imageFilename": "string", "isDataRolledUp": false, "isSizeCalculated": false, "meters": [
{ "active": false, "commodity": {}, "isCalculatedMeter": false, "isEsaCalculatedMeter": false, "isSplitChildMeter": false, "isSplitParentMeter": false, "meterCode": "string", "meterId": 1, "meterInfo": "string", "meterType": {}, "serialNumber": "string"
}
], "modifiedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-03-30", "parent": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": {}
}, "placeCode": "string", "placeDescription": "string", "placeId": 1, "placeInfo": "string", "placeType": { "icon": {}, "isSystemPlaceType": false, "placeEntityType": {}, "placeTypeCode": "string", "placeTypeId": 1, "placeTypeInfo": "string", "structure": false
}, "places": [
{ "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": {}
}
], "primaryUse": { "primaryUseCode": "string", "primaryUseId": 1, "primaryUseInfo": "string"
}, "schedules": [
{ "scheduleId": 1, "scheduleInfo": "string"
}
], "size": { "beginDate": "2026-03-30", "endDate": "2026-03-30", "placeSizeId": 1, "unitCode": "string", "unitId": 1, "unitInfo": "string", "value": 1.0
}, "sizeInReportingUnit": { "beginDate": "2026-03-30", "endDate": "2026-03-30", "placeSizeId": 1, "unitCode": "string", "unitId": 1, "unitInfo": "string", "value": 1.0
}, "timeZone": { "timeZoneCode": "string", "timeZoneId": 1, "timeZoneInfo": "string"
}, "watticsSite": { "watticsSiteId": 1
}, "weatherStation": { "city": "string", "country": "string", "state": "string", "stationCode": "string", "stationId": 1, "stationInfo": "string"
}
}
]